c     Translates bathymetry data from a table to format
c     read by Explorer with ReadBath module

      real*8 h1(12000),h2(12000),bat(12000,12000)
      real*8 x1coord,y1coord,dxy,nodata
      character*80 fname
      character*14 text
     
c***** Read bathymetry from GMT xyz file *******************
      write(*,801)
 801   format(' Bathymetry filename: ',$)
      read(*,802) fname
 802   format(a)
      nc=index(fname,' ')
      fname(nc:nc)='\0'
      open(unit=1,file=fname,status='old',form='formatted')
 803  format(A,I5)
 804  format(A,F13.8)
      read (1,*) text,n1
      write (*,*) text,n1
      read (1,*) text,n2
      write (*,*) text,n2
      read (1,*) text,x1coord
      if (x1coord.LT.0.) x1coord=360.+x1coord
      write (*,*) text,x1coord
      read (1,*) text,y1coord
      write (*,*) text,y1coord
      read (1,*) text,dxy
      write (*,*) text,dxy
      read (1,*) text,nodata
      write (*,*) text,nodata
      subsdata=0
c      read (1,*) ((bat(i,j),i=1,n1),j=1,n2)
      do j=1,n2
      read (1,*) (bat(i,j),i=1,n1)
      enddo


      nodat=0
      do i=1,n1
        do j=1,n2
c          if(bat(i,j).LT.nodata+.0001.AND.
c     &       bat(i,j).GT.nodata-.0001) then
          if (bat(i,j).EQ.nodata) then
              bat(i,j)=subsdata
              nodat=nodat+1
          end if
        end do
      end do
      write (*,*) 'NODATA points',nodat
      write (*,*) 'NODATA substitute',subsdata
c***** Write Explorer bathymery *************************
      write(*,811)
 811   format('Explorer bathymetry filename: ',$)
      read(*,812) fname
 812   format(a)

      nc=index(fname,' ')
      fname(nc:nc)='\0'
      open(unit=2,file=fname,form='formatted')
      write (2,*) n1,n2
 10   format(F20.13)
      do i=1,n1
         write (2,10) x1coord+dxy*(i-1)
      end do
      do j=1,n2
         write (2,10) y1coord+dxy*(n2-j)
      end do
      do j=1,n2
        write (2,11) (-bat(i,j), i=1,n1)
      end do
 11   format(4500F10.2)
      close(unit=1,status='keep')
      close(unit=2,status='keep')

      end


